Skip to main content
PUT
/
template-folders
/
{id}
Update a template folder
curl --request PUT \
  --url https://api.sendkit.dev/template-folders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Newsletter"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "Onboarding",
  "templates_count": 3,
  "created_at": "2026-03-26 10:00:00",
  "updated_at": "2026-03-26 10:00:00"
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

The template folder ID.

Body

application/json
name
string
required

The new folder name.

Maximum string length: 255
Example:

"Newsletter"

Response

Folder updated successfully

id
string<uuid>
name
string
Example:

"Onboarding"

templates_count
integer
Example:

3

created_at
string
Example:

"2026-03-26 10:00:00"

updated_at
string
Example:

"2026-03-26 10:00:00"